<script src="@#file#(simpletransf.js)" type="text/javascript"></script>
<p>Translacija je transformacija koja točku (\(x,y\)) posmiče za (\(dx,dy\)) - vidi sliku 1.</p>

<figure class="mlFigure">
<img src="@#file#(translacija.svg)" alt="Transformacija translacije." border="0">
<figcaption>Djelovanje transformacije translacije na zadanu točku.</figcaption>
</figure>

<p>Translacijom se dobiva nova točka prema izrazu:
\[
(\hat x, \hat y) = (x,y) + (dx, dy) = (x+dx, y+dy).
\]
Razmotrimo li opći oblik Afine transformacije:
\[
[\begin{array}{ccc}\hat x &amp; \hat y &amp; 1\end{array}] = 
[\begin{array}{ccc}x &amp; y &amp; 1\end{array}] \cdot
\left[ \begin{array}{ccc}a &amp; b &amp; 0\\ c &amp; d &amp; 0\\ e &amp; f &amp; 1\end{array} \right].
\]
i usporedimo li ga s izrazom koji smo napisali za translaciju, vidimo da mora vrijediti: \(a=d=1\), \(b=c=0\), \(e=dx\), \(f=dy\) pa matrični zapis translacije glasi:
\[
[\begin{array}{ccc}\hat x &amp; \hat y &amp; 1\end{array}] = 
[\begin{array}{ccc}x &amp; y &amp; 1\end{array}] \cdot
\left[ \begin{array}{ccc}1 &amp; 0 &amp; 0\\ 0 &amp; 1 &amp; 0\\ dx &amp; dy &amp; 1\end{array} \right].
\]   
</p>

<p>Primjer djelovanja translacije na točku zadanu radij-vektorom dan je u nastavku. Klikom miša i povlačenjem moguće je mijenjati izvorni vektor (prikazan crno); translatirana točka prikazana je novim radij-vektorom (crveno). Ispod platna nalazi se kliznik čijom je uporabom moguće podešavati iznos translacije po x- i y-osima.</p>

<div width="500" height="500" style="position:relative; width:500px; margin: auto;">
<canvas id="myCanvas2" width="500" height="500" style="border: 1px solid white;"></canvas>
</div>
<div style="position:relative; width:500px; margin: auto;">
Translacija po osi x: <span id="example2_sx">0.5</span><br><input 
  onchange="example2.transform[2][0]=this.valueAsNumber; example2.paint(); document.getElementById('example2_sx').innerHTML=this.value;"
  oninput="example2.transform[2][0]=this.valueAsNumber; example2.paint(); document.getElementById('example2_sx').innerHTML=this.value;"
 type="range" min="-4" max="4" value="0.5" step="0.1"><br>
Translacija po osi y: <span id="example2_sy">0.3</span><br><input 
  onchange="example2.transform[2][1]=this.valueAsNumber; example2.paint(); document.getElementById('example2_sy').innerHTML=this.value;"
  oninput="example2.transform[2][1]=this.valueAsNumber; example2.paint(); document.getElementById('example2_sy').innerHTML=this.value;"
 type="range" min="-4" max="4" value="0.3" step="0.1"><br>
</div>
<script type="text/javascript">
  var example2 = new SimpleTransfCanvas("myCanvas2");
  example2.transform[0][0]=1;
  example2.transform[1][1]=1;
  example2.transform[2][0]=0.5;
  example2.transform[2][1]=0.3;
  example2.paint();
</script>

<p>Primjer translacije nad geometrijskim likom prikazan je na interaktivnoj demonstraciji u nastavku.</p>

<!-- Translation demonstration -->
@#page-include#(shaders.html)
@#page-include#(translation-sim-hr.html)
<!-- Translation demonstration -->

<p>Transformacija translacije čuva odnose između točaka: translatiramo li niz točaka koje opisuju vrhove dvodimenzijskog lika, translatirani lik određen translatiranim točkama imat će jednaku površinu te jednake odnose između stranica (npr. okomite stranice nakon translacije ostat će okomite). Uvjerite se da je to istina: mijenjajte iznos translacije u prethodnoj demonstraciji i uvjerite se da se površina slova F ne mijenja, a linije međusobno ostaju pod istim kutevima.</p>

<p>Inverzna operacija translaciji za (dx,dy) je translacija za (-dx,-dy) u što se lagano možemo uvjeriti tako da točku translatiranu za (dx,dy) translatiramo za (-dx,-dy):
\[ 
\left(
[\begin{array}{ccc}x &amp; y &amp; 1\end{array}] \cdot
\left[ \begin{array}{ccc}1 &amp; 0 &amp; 0\\ 0 &amp; 1 &amp; 0\\ dx &amp; dy &amp; 1\end{array} \right]
\right) \cdot \left[ \begin{array}{ccc}1 &amp; 0 &amp; 0\\ 0 &amp; 1 &amp; 0\\ -dx &amp; -dy &amp; 1\end{array} \right] = 
[\begin{array}{ccc}x &amp; y &amp; 1\end{array}] \cdot
\left[ \begin{array}{ccc}1 &amp; 0 &amp; 0\\ 0 &amp; 1 &amp; 0\\ 1 &amp; 1 &amp; 1\end{array} \right] = [\begin{array}{ccc}x &amp; y &amp; 1\end{array}]
\]



